/* ロゴバナーのCSS */
.company-banner {
    background-color: #D9ECFE;
    padding: 0.5rem;
    margin-bottom: 1rem;
    position: fixed;
    width: 100%;
    z-index: 11;
    top: 0;
    box-sizing: border-box;
}

.c-menu {
    position: fixed;
    top: 0;
    right: -100%;
    width: 300px;
    height: 100%;
    background-color: #E9F7FF;
    color: #333;
    transition: right 0.3s ease;
    padding: 20px;
    box-sizing: border-box;
    z-index: 10;
    overflow: visible;
}

.c-menu::-webkit-scrollbar {
    width: 8px;
}

.c-menu::-webkit-scrollbar-track {
    border-radius: 5px;
    background-color: #d1dee5;
}

.c-menu::-webkit-scrollbar-thumb {
    border-radius: 5px;
    background-color: #a3acb2;
}

.c-menu.open {
    right: 0;
    overflow-y: auto;
    max-height: 100vh;
}

.c-hamburger {
    position: fixed;
    top: 0px;
    right: 60px;
    width: 35px;
    cursor: pointer;
    z-index: 20;
}

.c-hamburger span::before {
    position: fixed;
    content: "メニュー";
    width: 70px;
    margin: 5px 0;
    transition: 0.4s;
    text-align: center;
    padding: 2px;
    background: #013893;
    border-radius: 5px;
    color: #fff;
    font-weight: 600;
    display: block;
    font-size: 15px;
}


.c-hamburger.active span::before {
    content: "閉じる";
}

.c-menu ul {
    list-style-type: none;
    padding: 0;
    margin-top: 20px;
}

.c-menu li {
    padding: 20px 0;
    border-bottom: 1px solid #444;
}

.c-menu li a {
    color: #333;
    text-decoration: none;
    display: block;
    font-weight: 600;
}

.c-logo-Area {
    display: flex;
    align-items: flex-start;
    gap: 16px;
    width: 95%;
}

.t-logo {
    display: flex;
    align-items: center;
    background-color: #fff;
    padding: 5px;
    border-radius: 5px;
    box-shadow: 2px 2px 4px #828282;
    margin-top: 50px;
}

.t-logo p {
    font-size: 11px;
    text-align: center;
}

.t-logo img {
    max-height: 50px;
    width: auto;
}

.n-logo img {
    max-height: 20px;
    width: auto;
    vertical-align: baseline;
}

.t-text p {
    font-size: 14px;
    font-weight: 600;
    margin: 0;
}

.sp-br {
    display: none;
}

.c-menu-sub {
    font-size: 13px;
    font-weight: normal;
    margin-top: 0.5rem !important;
}


@media (max-width: 600px) {
    .company-banner {
        margin-bottom: 0.5rem;
    }

    .n-logo img {
        max-height: 20px;
    }

    .c-menu ul {
        margin-top: 0;
    }

    .c-hamburger {
        top: 4px;
    }

    .sp-view {
        display: none;
    }

    .sp-br {
        display: block;
    }

    .t-text p {
        font-size: 11px;
        font-weight: normal;
    }

    .c-logo-Area {
        gap: 6px;
        align-items: center;
    }
}

/* 既存CSSの修正 */

.drawer-hamburger {
    top: 61px;
}

.drawer--right.drawer-open .drawer-nav {
    top: 61px;
}